<?php

    include("../../classes/database.class.php");
    include("../../classes/usuarioModel.class.php");
    include("../../classes/usuarioController.class.php");
    
    $idTipoUsuario = $_POST["idTipoUsuario"];
    $idTerminal = $_POST["idTerminal"];
    $nome = $_POST["nome"];
    // $genero = $_POST["genero"];
    // $bi = $_POST["bi"];
    $email = $_POST["email"];
    $nomeUsuario = $_POST["nomeUsuario"];
    $estado = $_POST["estado"];

    if($idTipoUsuario == "0"){
        $idTipoUsuario = null;
    }
    if($idTerminal == "0"){
        $idTerminal = null;
    }
    if($nome == ""){
        $nome = null;
    }
    // if($genero == "0"){
    //     $genero = null;
    // }
    // if($bi == ""){
    //     $bi = null;
    // }
    if($email == ""){
        $email = null;
    }
    if($nomeUsuario == ""){
        $nomeUsuario = null;
    }

    // $usuario = new UsuarioController($idTipoUsuario, $idTerminal, $nome, $genero, $bi, $email, $nomeUsuario, $estado);
    $usuario = new UsuarioController($idTipoUsuario, $idTerminal, $nome,  $email, $nomeUsuario, $estado);
    
    $id = $usuario->createUsuario();
    echo $id;